🚧 The Rhombus Developer Documentation is currently in beta. For the official documentation, please visit docs.rhombus.com.
curl -X POST https://api2.rhombussystems.com/api/camera/getMinimalCameraStateList \
-H "Content-Type: application/json" \
-H "x-auth-scheme: api-token" \
-H "x-auth-apikey: YOUR_API_KEY" \
-d '{}'{
"cameraStates": [
{
"connectionStatus": "RED",
"createdAtMillis": 123,
"defaultInterface": "<string>",
"defaultInterfaceMac": "<string>",
"directionRadians": 123,
"externalIPAddress": "<string>",
"facetNameMap": {},
"firmwareUpdateInProgress": true,
"firmwareVersion": "<string>",
"floorNumber": 123,
"healthStatus": "RED",
"healthStatusDetails": "DISCONNECTED",
"hwVariation": "RASPBERRY_PI_3",
"lanAddresses": [
"<string>"
],
"latitude": 123,
"liveStreamShared": true,
"liveStreamsSharedCount": 123,
"locationUuid": "AAAAAAAAAAAAAAAAAAAAAA",
"longitude": 123,
"mediaRegion": "<string>",
"mediaStorageDeviceUuid": "AAAAAAAAAAAAAAAAAAAAAA.v0",
"mummified": true,
"name": "<string>",
"policyUuid": "AAAAAAAAAAAAAAAAAAAAAA",
"region": "<string>",
"secondaryLanAddresses": [
"<string>"
],
"serialNumber": "<string>",
"ssid": "<string>",
"subLocationsHierarchyKey": "AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA",
"supportedFacets": [
"v0, a0"
],
"uuid": "AAAAAAAAAAAAAAAAAAAAAA",
"wifiApMac": "<string>",
"wifiBars": 123,
"wifiSignalStrength": 123
}
],
"error": true,
"errorMsg": "<string>",
"warningMsg": "<string>"
}Get basic state information about all cameras in organization
curl -X POST https://api2.rhombussystems.com/api/camera/getMinimalCameraStateList \
-H "Content-Type: application/json" \
-H "x-auth-scheme: api-token" \
-H "x-auth-apikey: YOUR_API_KEY" \
-d '{}'{
"cameraStates": [
{
"connectionStatus": "RED",
"createdAtMillis": 123,
"defaultInterface": "<string>",
"defaultInterfaceMac": "<string>",
"directionRadians": 123,
"externalIPAddress": "<string>",
"facetNameMap": {},
"firmwareUpdateInProgress": true,
"firmwareVersion": "<string>",
"floorNumber": 123,
"healthStatus": "RED",
"healthStatusDetails": "DISCONNECTED",
"hwVariation": "RASPBERRY_PI_3",
"lanAddresses": [
"<string>"
],
"latitude": 123,
"liveStreamShared": true,
"liveStreamsSharedCount": 123,
"locationUuid": "AAAAAAAAAAAAAAAAAAAAAA",
"longitude": 123,
"mediaRegion": "<string>",
"mediaStorageDeviceUuid": "AAAAAAAAAAAAAAAAAAAAAA.v0",
"mummified": true,
"name": "<string>",
"policyUuid": "AAAAAAAAAAAAAAAAAAAAAA",
"region": "<string>",
"secondaryLanAddresses": [
"<string>"
],
"serialNumber": "<string>",
"ssid": "<string>",
"subLocationsHierarchyKey": "AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA",
"supportedFacets": [
"v0, a0"
],
"uuid": "AAAAAAAAAAAAAAAAAAAAAA",
"wifiApMac": "<string>",
"wifiBars": 123,
"wifiSignalStrength": 123
}
],
"error": true,
"errorMsg": "<string>",
"warningMsg": "<string>"
}Your API key for Rhombus.
Authentication scheme indicator ("api-token").
9Request to retrieve a minimal list of camera states.
Whether to include mummified cameras in the response
false
Was this page helpful?